# Biome Lords Quest

## Introduction
After the triumphant victory over Odin's enemies, a new challenge looms on the horizon: the hidden biome lords. These elusive and formidable beings, each with their own unique powers, await courageous adventurers ready to embark on a quest of epic proportions. Braving treacherous landscapes and engaging in thrilling battles, those who emerge victorious shall be rewarded with an ancient relic with unimaginable power, forever etching their names into the annals of legend.

## Mod Guide
More information about the Biome Lords Quest mod on its dedicated webpage: https://www.taegukgaming.online/biome-lords-quest

## Manual Installation
- Download the mod and place the dll file in your plugins folder.
Make sure to follow the installation instructions.
- BepInEx - https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Links
- Website: https://www.taegukgaming.online/
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://www.patreon.com/taegukgaming

## Credits
- Whisper chain sound effect obtained from https://www.zapsplat.com

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">
    Patchnotes
</span></b></summary>

| Version Number | Change(s)        |
|:---------------|:-----------------|
| v2.0.3         | - Updated Blaxxun's ItemManager. |
| v2.0.2         | - Fixed Queen Deathsquito needle icon.<br>- Fixed Lightning Wolf Summoner required mats to craft.<br><b>Make sure to delete the old cfg file.</b> |
| v2.0.1         | - Updated Troll Warrior ragdoll to the latest visual changed. |
| v2.0.0         | <b>Major Updates</b><br><b>Please uninstall the old mod, delete the cfg file and install this new version.</b><br><br><b>Greydwarf Elder</b><br>- Changed its crown to a young beech tree (to make it stand out from the rest)<br>- Removed stone throw attack<br>- Added new tentaroot summoning skill. These tentaroot will also shoot a projectile to you.<br>- Removed despawn mechanics (this fixed the weird walking behavior and the endless spawn after despawning)<br><br><b>Troll Warrior</b><br>- Removed unarmed version<br>- Changed weapon to a huge iron mace<br>- Added bonetower shields as actual shield and back shield. These shield literally protects the TrollWarrior from all types of damage except for poison. You will have to accurately hit him with part that has no armor or shield.<br>- Added new walking animation that holds the shield up.<br>- Set helmet also to protect the Troll Warrior from taking damage.<br>- Removed rage attack and changed it into a three combo mace attack.<br>- Added new attack skill Earth Shaker! Troll Warrior will hit the ground with both hands shaking the ground and braking all rocks and trees within radius. Player within range will also take minimal unblockable and unavoidable damage. Getting a direct hit will cause major damage.<br>- Removed despawn mechanics (this fixed the steady flying behavior and the endless spawn after despawning)<br><br><b>Whisper</b><br>- Improved double swipe attack skill second swipe animation timing<br>- Removed range tar attack<br>- Added new skill chain attack. Whisper throws chains to target and links them to Whisper (similar to harpooned status) and spawns draugr slaves by chance on hit targets (also terrain).<br>- Added new skill demon swipe. Whisper gather power from hell and cast a fiery attack not visible to the Viking's eye. This attack is still avoidable and blockable, timing is the key!<br>- Removed despawn mechanics (this fixed the steady flying behavior and the endless spawn after despawning)<br><br><b>Lightning Wolf</b><br>- Added new combo bite attacks<br>- Adjusted charge bark attack position and animation to make it look better<br>- Removed despawn mechanics (this fixed the weird walking behavior and the endless spawn after despawning)<br>- You no longer summon the wolf with a throwable charged fang. Instead, you will use the charged fang as an ammunition on the wolf summoning staff (craftable using the catalyst and a wolf trophy).<br><br><b>Queen Deathsquito</b><br>- Changed larvae summoning attack projectiles to a single area directly to the player.<br>- Added new needle shooting attack<br>- Removed healing attack<br>- Removed despawn mechanics (this fixed the steady flying behavior and the endless spawn after despawning)<br><br><b>Other Updates</b><br>- Removed SpawnThat mod dependency. This does not require this mod anymore.<br>- Removed scroll clues<br>- Added runestones that contains riddles about each biome lords. This runestones will be randomly generated on new seeds. For old seeds, you may utilize JereKuusela's Upgrade_World command 'locations_add'. Each biome runestones will generate 4 on each biome anywhere on the map.<br><br>Runestones Prefab names for reference:<br>- Runestone_GreydwarfElderTG<br>- Runestone_TrollWarriorTG<br>- Runestone_WhisperTG<br>- Runestone_LightningWolfTG<br>- Runestone_QueenDeathsquitoTG |
| v1.2.1         | - Disabled main mod spawn logic to make sure SpawnThat logic would be priorities. |
| v1.2.0         | - Added ASharpPen SpawnThat as dependency for better control of spawns. Hopefully fixes the issue of immediately spawns after despawn of creatures. |
| v1.1.5         | - Extended Whisper spawn interval from 600 to 1200 seconds and reduced spawn chance from 10% to 5%. |
| v1.1.4         | - Reduced spawn chance of biome lords to lessen continues spawning right after death.<br> - Added movement damage on Troll Warrior.<br> - Added new attacks on Troll Warriors (melee and log). These new attacks will only destroy trees and rocks in a wide range to clear its path while trying to chase you. |
| v1.1.3         | - More rebalancing on Queen Deathsquito and Wild Lightning Wolf attacks to match Vanilla.<br> - Set Wild Lightning Wolf attacks to be dodgeable and blockable (this was an overlook)<br> - Added spawn message to each creature<br><b>Note: You will need to delete your current config file to apply update changes<b> |
| v1.1.2         | - Overhauled attack damage and health values of all creatures. They are now Vanilla friendly.<br> - Renamed attack names on config file for easier identification. Look for damage values of each and modify as desired. Creature config options remained unavailable. |
| v1.1.1         | - Fixed biome lords spawn bug. They should should spawn now according to the riddles. Thanks to majesticunicorn5399 feedback.<br> - Adjusted Lightning Wolf collider.<br> - Set all biome lords despawn distance from 50 to 80 to avoid despawning immediately after spawn at times.<br> - Reduced spawn intervals of biome lords from 5 to 2 minutes. Note that they may not spawn right away, you will have to wait for around 2 minutes as soon as the right weather triggers in their respective biome.<br> - Increased Lightning Wolf normal attack damage. <br> - Reduced Queen Deathsquito attack damage.<br> - Fixed Whisper required weather to spawn. This was an overlooked. (Sorry XD) |
| v1.1.0         | - Update for Valheim 0.216.9<br> - Fixed null reference errors on some attacks.<br> - Fixed particles on items.<br> - Removed attack force on Greydwarf Elder and Whisper melee attacks.<br> - Reduced damage and attack force of Deathsquito larvaes.<br> - Fixed other vfx errors.<br> - Adjusted creature colliders.<br> - Adjusted Troll Warrior log attacks, Greydwarf Melee attacks time intervals.<br> - Adjusted Greydwarf attack angle. |
| v1.0.1         | Fixed readme title. |
| v1.0.0         | Release Version. |

</details>